# Class JLandApi

#### Hierarchy (View Summary)

- JBaseApi
  - JLandApi

- Defined in jamespot-user-api/src/apis/jland/jland.ts:8

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

createMap
getAllMapsAsAdmin
getLogs
getStats

## Constructors

### constructor

- new JLandApi(jApi: JamespotUserApi): JLandApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JLandApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### createMap

- createMap<
  T extends
  | JLandMapLittle
  | JLandMapList
  | Omit<Merge<jArticleView, JLandMapList>, never> = JLandMapList,
  >(
  map: MaybeWithToken<
  {
  description?: string
  | null;
  idSpot?: string[];
  jlandMapAggregated: string;
  publishTo?: string;
  title?: string;
  type: "jlandmap";
  },
  >,
  format?: string,
  ): Promise<ApiWrapper<T[], BaseMessages>>

  #### Type Parameters

  - T extends JLandMapLittle | JLandMapList | Omit<Merge<jArticleView, JLandMapList>, never> = JLandMapList

  #### Parameters

  - map: MaybeWithToken<
    {
    description?: string
    | null;
    idSpot?: string[];
    jlandMapAggregated: string;
    publishTo?: string;
    title?: string;
    type: "jlandmap";
    },
    >
  - format: string = 'raw-list'

  #### Returns Promise<ApiWrapper<T[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/jland/jland.ts:52

### getAllMapsAsAdmin

- getAllMapsAsAdmin(
  format?: string,
  ): Promise<
  ApiWrapper<
  PagingResults<
  Omit<
  jArticleList,
  | "id"
  | "type"
  | "limit"
  | "mainType"
  | "uri"
  | "dateCreation"
  | "dateModified"
  | "title"
  | "_url"
  | "jlandMapKind"
  | "jlandMapFlavor"
  | "waMapUrl",
  > & Omit<
  jArticleLittle,
  "type"
  | "limit"
  | "jlandMapKind"
  | "jlandMapFlavor"
  | "waMapUrl",
  > & {
  jlandMapFlavor: string;
  jlandMapKind: string;
  limit: number | null;
  type: "jlandmap";
  waMapUrl: string | null;
  } & { _extend: Pick<z.infer<typeof extendSchema>, K[number]> },
  >,
  BaseMessages,
  >,
  >

  #### Parameters

  - format: string = 'raw-list,licenses'

  #### Returns Promise<
  ApiWrapper<
  PagingResults<
  Omit<
  jArticleList,
  | "id"
  | "type"
  | "limit"
  | "mainType"
  | "uri"
  | "dateCreation"
  | "dateModified"
  | "title"
  | "_url"
  | "jlandMapKind"
  | "jlandMapFlavor"
  | "waMapUrl",
  > & Omit<
  jArticleLittle,
  "type"
  | "limit"
  | "jlandMapKind"
  | "jlandMapFlavor"
  | "waMapUrl",
  > & {
  jlandMapFlavor: string;
  jlandMapKind: string;
  limit: number | null;
  type: "jlandmap";
  waMapUrl: string | null;
  } & { _extend: Pick<z.infer<typeof extendSchema>, K[number]> },
  >,
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/jland/jland.ts:42

### getLogs

- getLogs(
  __namedParameters: { dateEnd?: string; idLogMax?: number },
  ): Promise<ApiWrapper<JLandLog[], BaseMessages>>

  #### Parameters

  - __namedParameters: { dateEnd?: string; idLogMax?: number }

  #### Returns Promise<ApiWrapper<JLandLog[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/jland/jland.ts:9

### getStats

- getStats(
  __namedParameters: { dateEnd?: string; dateStart?: string; map: string },
  ): Promise<ApiWrapper<JLandStat[], BaseMessages>>

  #### Parameters

  - __namedParameters: { dateEnd?: string; dateStart?: string; map: string }

  #### Returns Promise<ApiWrapper<JLandStat[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/jland/jland.ts:24